<?php
/**
 * RightsAccessEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\AdminAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Admin Auth
 *
 * Авторизация системных пользователей
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\AdminAuthClient\Dto;
use \Ensi\AdminAuthClient\ObjectSerializer;

/**
 * RightsAccessEnum Class Doc Comment
 *
 * @category Class
 * @description Права доступа. Расшифровка значений.   * &#x60;1xx&#x60; Для списка заказов:   * &#x60;101&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;102&#x60; - Пользователю доступна детальная страница заказа со всеми вкладками и данными для просмотра   * &#x60;103&#x60; - Пользователю доступна вкладка \&quot;Главное\&quot; для просмотра   * &#x60;104&#x60; - Пользователю доступна вкладка \&quot;Клиент\&quot; для просмотра   * &#x60;105&#x60; - Пользователю доступна вкладка \&quot;Товары\&quot; для просмотра   * &#x60;106&#x60; - Пользователю доступна вкладка \&quot;Доставка\&quot; для просмотра   * &#x60;107&#x60; - Пользователю доступна вкладка \&quot;Комментарии\&quot; для просмотра   * &#x60;108&#x60; - Пользователю доступна вкладка \&quot;Вложения\&quot; для просмотра   * &#x60;109&#x60; - Пользователю доступно только редактирование данных заказа (без действий)   * &#x60;110&#x60; - Пользователю доступна функция редактирование комментариев во вкладке \&quot;Комментарии\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;111&#x60; - Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке \&quot;Комментариии\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;112&#x60; - Пользователю доступна функция редактирования способа доставки во вкладке \&quot;Доставка\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;113&#x60; - Пользователю доступна функция редактирования комментария во вкладке \&quot;Доставка\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;114&#x60; - Пользователю доступна функция редактирования полей клиента во вкладке \&quot;Клиент\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;115&#x60; - Пользователю доступна функция загрузка вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;116&#x60; - Пользователю доступна функция удаления вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;117&#x60; - Пользователю доступно изменение статуса заказа на детальной странице + кнопка \&quot;Действия\&quot;   * &#x60;118&#x60; - Пользователю доступно создание заявки на возврат + кнопка \&quot;Действия\&quot;   * &#x60;119&#x60; - Пользователю доступно редактирование списка товаров в заказе   * &#x60;120&#x60; - Пользователю доступно изменение статуса отгрузки на детальной странице заказ   * &#x60;2xx&#x60; Для возвратов:   * &#x60;201&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;202&#x60; - Пользователю доступная детальна страница возврата   * &#x60;203&#x60; - Пользователю доступна вкладка \&quot;Главное\&quot; для просмотра   * &#x60;204&#x60; - Пользователю доступна вкладка \&quot;Товары\&quot; для просмотра   * &#x60;205&#x60; - Пользователю доступна вкладка \&quot;Вложения\&quot; для просмотра   * &#x60;206&#x60; - Пользователю доступно только редактирование данных возврата (без действий)   * &#x60;207&#x60; - Пользователю доступна функция изменение ответственного за возврат во вкладке \&quot;Главное\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;208&#x60; - Пользователю доступна функция загрузка вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;209&#x60; - Пользователю доступна функция удаления вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;210&#x60; - Пользователю доступен табличный список с причинами возврата по кнопке \&quot;Настройка причин возврата\&quot;   * &#x60;211&#x60; - Пользователю доступно создание причин возврата + кнопка \&quot;Добавить причину\&quot;   * &#x60;212&#x60; - Пользователю доступно редактирование причин возврата + кнопка \&quot;Изменить причину\&quot;   * &#x60;3xx&#x60; Для настроек:   * &#x60;301&#x60; - Пользователю доступна для просмотра страница настроек   * &#x60;302&#x60; - Параметры корзины. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;303&#x60; - Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;304&#x60; - Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;305&#x60; - Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;4xx&#x60; Для каталога товаров:   * &#x60;401&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;402&#x60; - Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра   * &#x60;403&#x60; - Пользователь может создавать товар   * &#x60;404&#x60; - Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним   * &#x60;405&#x60; - Пользователю доступна вкладка \&quot;Основные данные\&quot; для просмотра   * &#x60;406&#x60; - Пользователю доступна вкладка \&quot;Контент\&quot; для просмотра   * &#x60;407&#x60; - Пользователю доступна вкладка \&quot;Характеристики\&quot; для просмотра   * &#x60;408&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;409&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Контент\&quot;   * &#x60;410&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Характеристики\&quot;   * &#x60;411&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;413&#x60; - Пользователь может удалять товары   * &#x60;414&#x60; - Пользователю доступна вкладка \&quot;Товарные склейки\&quot; для просмотра   * &#x60;415&#x60; - Пользователю доступна функция \&quot;Изменить атрибуты\&quot; в табличном списке товаров   * &#x60;418&#x60; - Пользователю доступна миграция состояния сущностей, из которых наполняется индекс   * &#x60;5xx&#x60; Для категорий товаров:   * &#x60;501&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;502&#x60; - Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра   * &#x60;503&#x60; - Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним   * &#x60;504&#x60; - Пользователь может создавать категории   * &#x60;505&#x60; - Пользователь может добавлять и редактировать атрибуты категории   * &#x60;506&#x60; - Пользователь может редактирование данные о категории (кроме активности)   * &#x60;507&#x60; - Пользователь может удалять категории   * &#x60;508&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;6xx&#x60; Для атрибутов товаров:   * &#x60;601&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;602&#x60; - Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра   * &#x60;603&#x60; - Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине   * &#x60;604&#x60; - Пользователь может создать новый атрибут товара и сохранить его   * &#x60;605&#x60; - Пользователь может удалять атрибутов   * &#x60;606&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;607&#x60; - Пользователю доступно управление чек-боксом \&quot;Отображение на витрине\&quot;   * &#x60;7xx&#x60; Для пользователей:   * &#x60;701&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;702&#x60; - Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра   * &#x60;703&#x60; - Пользователю доступно полное редактирование пользователя   * &#x60;704&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;705&#x60; - Пользователю доступно изменение пароля   * &#x60;706&#x60; - Пользователю доступно управление ролями пользователя   * &#x60;707&#x60; - Пользователю доступно создание пользователя   * &#x60;8xx&#x60; Для ролей:   * &#x60;801&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;802&#x60; - Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра   * &#x60;803&#x60; - Создание ролей   * &#x60;804&#x60; - Пользователю доступно полное редактирование роли   * &#x60;805&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;806&#x60; - Пользователю доступно удаление роли   * &#x60;9xx&#x60; Для информационных страниц:   * &#x60;901&#x60; - Пользователю доступен табличный список с информационными страницами   * &#x60;902&#x60; - Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра   * &#x60;903&#x60; - Пользователю доступно редактирование информационной страницы, включая управление активностью   * &#x60;904&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;905&#x60; - Пользователю доступно создание информационной страницы   * &#x60;906&#x60; - Пользователю доступно удаление информационной страницы   * &#x60;10xx&#x60; Для брендов:   * &#x60;1001&#x60; - Пользователю доступен табличный список с брендами с фильтрами и поиском   * &#x60;1002&#x60; - Пользователю доступна детальная страница бренда со всеми данными для просмотра   * &#x60;1003&#x60; - Пользователю доступно полное редактирование бренда, включая управление активностью   * &#x60;1004&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1005&#x60; - Пользователю доступно создание бренда   * &#x60;1006&#x60; - Пользователю доступно удаление бренда   * &#x60;11xx&#x60; Для товарных склеек:   * &#x60;1101&#x60; - Пользователю доступен табличный список склеек с фильтрами и поиском   * &#x60;1102&#x60; - Пользователю доступна детальная страница склейки со всеми данными для просмотра   * &#x60;1103&#x60; - Пользователю доступно редактирование склейки (кроме изменения активности и удаления)   * &#x60;1104&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1105&#x60; - Пользователю доступно создание склейки   * &#x60;1106&#x60; - Пользователю доступно удаление склейки   * &#x60;1107&#x60; - Пользователю доступно редактирование всех полей товарной склейки   * &#x60;12xx&#x60; Для клиентов:   * &#x60;1201&#x60; - Пользователю доступно удаление персональных данных клиента   * &#x60;1202&#x60; - Пользователю доступен табличный список клиентов с фильтрами и поиском   * &#x60;1203&#x60; - Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра   * &#x60;1204&#x60; - Пользователю доступно редактирование данных клиента   * &#x60;13xx&#x60; Для скидок и промокодов:   * &#x60;1301&#x60; - Пользователю доступен табличный список со скидками   * &#x60;1302&#x60; - Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей   * &#x60;1303&#x60; - Пользователю доступно создание скидки   * &#x60;1304&#x60; - Пользователю доступно редактирование скидки   * &#x60;1305&#x60; - Пользователю доступно удаление скидки   * &#x60;1306&#x60; - Пользователю доступно массовое обновление статусов скидки в табличном списке   * &#x60;1311&#x60; - Пользователю доступен табличный список с промокодами   * &#x60;1312&#x60; - Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей   * &#x60;1313&#x60; - Пользователю доступно создание промокода   * &#x60;1314&#x60; - Пользователю доступно редактирование промокода   * &#x60;1315&#x60; - Пользователю доступно удаление промокода   * &#x60;14xx&#x60; Для баннеров:   * &#x60;1401&#x60; - Пользователю доступен табличный список баннеров с фильтрами и поиском   * &#x60;1402&#x60; - Пользователю доступна детальная страница баннера со всеми данными для просмотра   * &#x60;1403&#x60; - Пользователю доступно редактирование баннера   * &#x60;1404&#x60; - Пользователю доступно создание баннера   * &#x60;1405&#x60; - Пользователю доступно удаление баннера   * &#x60;15xx&#x60; Для отзывов:   * &#x60;1501&#x60; - Пользователю доступен табличный список с отзывами с фильтрами и поиском   * &#x60;1502&#x60; - Пользователю доступна детальная страница отзывами со всеми данными для просмотра   * &#x60;1503&#x60; - Пользователю доступно удаление отзывов   * &#x60;1504&#x60; - Пользователю доступно изменение статуса отзыва   * &#x60;16xx&#x60; Для тегов:   * &#x60;1601&#x60; - Пользователю доступен табличный список тегов с фильтрами и поиском   * &#x60;1602&#x60; - Пользователю доступна детальная страница товарного тега со всеми данными для просмотра   * &#x60;1603&#x60; - Пользователю доступно редактирование товарного тега   * &#x60;1604&#x60; - Пользователю доступно создание товарного тега   * &#x60;1605&#x60; - Пользователю доступно удаление товарного тега   * &#x60;17xx&#x60; Для SEO:   * &#x60;1701&#x60; - Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском   * &#x60;1702&#x60; - Пользователю доступна детальная страница SEO-шаблонов со всеми данными для просмотра   * &#x60;1703&#x60; - Пользователю доступно редактирование SEO-шаблонов   * &#x60;1704&#x60; - Пользователю доступно создание SEO-шаблонов   * &#x60;1705&#x60; - Пользователю доступно удаление SEO-шаблонов   * &#x60;18xx&#x60; Для импортов:   * &#x60;1801&#x60; - Пользователю доступен импорт товаров   * &#x60;1802&#x60; - Пользователю доступен просмотр журнала импорта товаров   * &#x60;1803&#x60; - Пользователю доступен просмотр журнала ошибок импорта товаров   * &#x60;19xx&#x60; Для складов:   * &#x60;1901&#x60; - Пользователю доступен табличный список складов с фильтрами и поиском   * &#x60;1902&#x60; - Пользователю доступна детальная страница склада со всеми данными для просмотра   * &#x60;1903&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;1904&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Время работы\&quot;   * &#x60;1905&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Контакты\&quot;   * &#x60;1906&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;График отгрузки\&quot;   * &#x60;1907&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1908&#x60; - Пользователь может создавать склад   * &#x60;20xx&#x60; Для фидов:   * &#x60;2001&#x60; - Пользователю доступен табличный список с настройками фидов с фильтрами и поиском   * &#x60;2002&#x60; - Пользователю доступна детальная страница настройками фида со всеми данными для просмотра   * &#x60;2003&#x60; - Пользователю доступно создание настроек фида   * &#x60;2004&#x60; - Пользователю доступно редактирование настроек фида   * &#x60;2005&#x60; - Пользователю доступна миграция состояния сущностей, из которых формируются фиды   * &#x60;21xx&#x60; Для тарифов доставки:   * &#x60;2101&#x60; - Пользователю доступен табличный список тарифов с фильтрами и поиском   * &#x60;2102&#x60; - Пользователю доступна детальная страница тарифа со всеми данными для просмотра   * &#x60;2103&#x60; - Пользователю доступно создание тарифа   * &#x60;2104&#x60; - Пользователю доступно редактирование тарифа   * &#x60;2105&#x60; - Пользователю доступно удаление тарифа   * &#x60;22xx&#x60; Для продавцов:   * &#x60;2201&#x60; - Пользователю доступен табличный список продавцов с фильтрами и поиском   * &#x60;2202&#x60; - Пользователю доступна детальная страница продавца со всеми данными для просмотра   * &#x60;2203&#x60; - Пользователю доступно создание продавца   * &#x60;2204&#x60; - Пользователю доступно редактирование продавца   * &#x60;23xx&#x60; Для статусов продукта:   * &#x60;2301&#x60; - Пользователю доступен табличный список статусов продукта с фильтрами и поиском   * &#x60;2302&#x60; - Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра   * &#x60;2303&#x60; - Пользователю доступно создание статуса продукта   * &#x60;2304&#x60; - Пользователю доступно редактирование статуса продукта   * &#x60;2305&#x60; - Пользователю доступно удаление статуса продукта   * &#x60;25xx&#x60; Для настроек уведомлений:   * &#x60;2501&#x60; - Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском   * &#x60;2502&#x60; - Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра   * &#x60;2503&#x60; - Пользователю доступно создание настроек уведомлений   * &#x60;2504&#x60; - Пользователю доступно редактирование настроек уведомлений   * &#x60;2505&#x60; - Пользователю доступно удаление настроек уведомлений   * &#x60;26xx&#x60; Подключение Ensi Cloud:   * &#x60;2601&#x60; - Пользователю доступно редактирование подключением Cloud   * &#x60;2602&#x60; - Пользователю доступен просмотр подключения Cloud   * &#x60;2603&#x60; - Пользователю доступно изменение активности подключения Cloud   * &#x60;27xx&#x60; Для настройки параметров доставки:   * &#x60;2701&#x60; - Пользователю доступно редактирование параметров доставки   * &#x60;2702&#x60; - Пользователю доступен просмотр параметров доставки   * &#x60;28xx&#x60; Для офферов:   * &#x60;2801&#x60; - Пользователю доступен табличный список офферов с фильтрами и поиском   * &#x60;2802&#x60; - Пользователю доступно полное редактирование на вкладке \&quot;Основные данные\&quot;   * &#x60;2803&#x60; - Пользователю доступно полное редактирование на вкладке \&quot;Стоки\&quot;   * &#x60;2804&#x60; - Пользователю доступно управление чекбоксом \&quot;Публикация\&quot;   * &#x60;2805&#x60; - Пользователю доступно управлением полем \&quot;Стоимость\&quot;   * &#x60;2806&#x60; - Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним   * &#x60;2807&#x60; - Пользователю доступна детальная страница оффера со всеми данными для просмотра   * &#x60;2808&#x60; - Пользователю доступно обновление данных офферов   * &#x60;2809&#x60; - Пользователю доступна миграция состояния офферов   * &#x60;29xx&#x60; Для ПВЗ, точек самовывоза:   * &#x60;2901&#x60; - Пользователю доступен табличный список ПВЗ с фильтрами и поиском   * &#x60;2902&#x60; - Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра   * &#x60;2903&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;2904&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Адрес\&quot;   * &#x60;30xx&#x60; Для пользователей продавцов:   * &#x60;3001&#x60; - Пользователю доступен табличный список пользователей продавца   * &#x60;3002&#x60; - Пользователю доступна детальная страница пользователя продавца   * &#x60;3003&#x60; - Пользователю доступно редактирование пользователя продавца   * &#x60;3004&#x60; - Пользователю доступно создание пользователя продавца   * &#x60;3005&#x60; - Пользователю доступно изменение активности пользователя продавца   * &#x60;3006&#x60; - Пользователю доступно редактирование пароля пользователя продавца   * &#x60;31xx&#x60; Для технических таблиц   * &#x60;3101&#x60; - Пользователю доступен просмотр технических таблиц   * &#x60;3102&#x60; - Пользователю доступно редактирование технических таблиц + запуск консольных команд   * &#x60;32xx&#x60; Для служб доставки   * &#x60;3201&#x60; - Пользователю доступен табличный список служб доставки с фильтрами и поиском   * &#x60;3202&#x60; - Пользователю доступна детальная страница службы доставки со всеми данными для просмотра   * &#x60;3203&#x60; - Пользователю доступно редактирование службы доставки
 * @package  Ensi\AdminAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class RightsAccessEnum
{
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const ORDER_LIST_READ = 101;
    
    /** Пользователю доступна детальная страница заказа со всеми со всеми вкладками и данными для просмотра */
    public const ORDER_DETAIL_READ = 102;
    
    /** Пользователю доступна вкладка &quot;Главное&quot; для просмотра */
    public const ORDER_DETAIL_MAIN_READ = 103;
    
    /** Пользователю доступна вкладка &quot;Клиент&quot; для просмотра */
    public const ORDER_DETAIL_CLIENT_READ = 104;
    
    /** Пользователю доступна вкладка &quot;Товары&quot; для просмотра */
    public const ORDER_DETAIL_PRODUCTS_READ = 105;
    
    /** Пользователю доступна вкладка &quot;Доставка&quot; для просмотра */
    public const ORDER_DETAIL_DELIVERY_READ = 106;
    
    /** Пользователю доступна вкладка &quot;Комментарии&quot; для просмотра */
    public const ORDER_DETAIL_COMMENTS_READ = 107;
    
    /** Пользователю доступна вкладка &quot;Вложения&quot; для просмотра */
    public const ORDER_DETAIL_ATTACHMENTS_READ = 108;
    
    /** Пользователю доступно только редактирование данных заказа (без действий) */
    public const ORDER_DETAIL_EDIT = 109;
    
    /** Пользователю доступна функция редактирование комментариев во вкладке &quot;Комментарии&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_COMMENTS_EDIT = 110;
    
    /** Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке &quot;Комментариии&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_PROBLEMATIC_EDIT = 111;
    
    /** Пользователю доступна функция редактирования способа доставки во вкладке &quot;Доставка&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_DELIVERY_EDIT = 112;
    
    /** Пользователю доступна функция редактирования комментария во вкладке &quot;Доставка&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_DELIVERY_COMMENTS_EDIT = 113;
    
    /** Пользователю доступна функция редактирования полей клиента во вкладке &quot;Клиент&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_CLIENT_EDIT = 114;
    
    /** Пользователю доступна функция загрузка вложений во вкладке &quot;Вложения&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_ATTACHMENTS_WRITE = 115;
    
    /** Пользователю доступна функция удаления вложений во вкладке &quot;Вложения&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const ORDER_DETAIL_ATTACHMENTS_DELETE = 116;
    
    /** Пользователю доступно изменение статуса заказа на детальной странице + кнопка &quot;Действия&quot; */
    public const ORDER_DETAIL_STATUS_EDIT = 117;
    
    /** Пользователю доступно создание заявки на возврат + кнопка &quot;Действия&quot; */
    public const ORDER_DETAIL_REFUND_CREATE = 118;
    
    /** Пользователю доступно редактирование списка товаров в заказе */
    public const ORDER_DETAIL_PRODUCTS_EDIT = 119;
    
    /** Пользователю доступно изменение статуса отгрузки на детальной странице заказ */
    public const ORDER_DETAIL_SHIPMENT_EDIT = 120;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const REFUND_LIST_READ = 201;
    
    /** Пользователю доступная детальна страница возврата */
    public const REFUND_DETAIL_READ = 202;
    
    /** Пользователю доступна вкладка &quot;Главное&quot; для просмотра */
    public const REFUND_DETAIL_MAIN_READ = 203;
    
    /** Пользователю доступна вкладка &quot;Товары&quot; для просмотра */
    public const REFUND_DETAIL_PRODUCTS_READ = 204;
    
    /** Пользователю доступна вкладка &quot;Вложения&quot; для просмотра */
    public const REFUND_DETAIL_ATTACHMENTS_READ = 205;
    
    /** Пользователю доступно только редактирование данных возврата (без действий) */
    public const REFUND_DETAIL_EDIT = 206;
    
    /** Пользователю доступна функция изменение ответственного за возврат во вкладке &quot;Главное&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const REFUND_DETAIL_RESPONSIBLE_EDIT = 207;
    
    /** Пользователю доступна функция загрузка вложений  во вкладке &quot;Вложения&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const REFUND_DETAIL_ATTACHMENTS_WRITE = 208;
    
    /** Пользователю доступна функция удаления вложений  во вкладке &quot;Вложения&quot; + кнопки &quot;Сохранить&quot;/&quot;Отменить&quot; */
    public const REFUND_DETAIL_ATTACHMENTS_DELETE = 209;
    
    /** Пользователю доступен табличный список с причинами возврата по кнопке &quot;Настройка причин возврата&quot; */
    public const REFUND_DETAIL_REASONS_READ = 210;
    
    /** Пользователю доступно создание причин возврата + кнопка &quot;Добавить причину&quot; */
    public const REFUND_DETAIL_REASONS_CREATE = 211;
    
    /** Пользователю доступно редактирование причин возврата + кнопка &quot;Изменить причину&quot; */
    public const REFUND_DETAIL_REASONS_EDIT = 212;
    
    /** Пользователю доступна для просмотра страница настроек */
    public const SETTING_LIST_READ = 301;
    
    /** Параметры корзины. Пользователю доступно редактирование параметра + кнопка &quot;Изменить параметр&quot; */
    public const SETTING_BASKET_EDIT = 302;
    
    /** Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка &quot;Изменить параметр&quot; */
    public const SETTING_PAYMENT_TIME_EDIT = 303;
    
    /** Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка &quot;Изменить параметр&quot; */
    public const SETTING_ORDER_CREATE_TIME_EDIT = 304;
    
    /** Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка &quot;Изменить параметр&quot; */
    public const SETTING_ORDER_PROCESS_TIME_EDIT = 305;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const PRODUCT_CATALOG_LIST_READ = 401;
    
    /** Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра */
    public const PRODUCT_CATALOG_DETAIL_READ = 402;
    
    /** Пользователь может создавать товар */
    public const PRODUCT_CATALOG_PRODUCT_CREATE = 403;
    
    /** Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним */
    public const PRODUCT_CATALOG_DETAIL_WRITE = 404;
    
    /** Пользователю доступна вкладка &quot;Основные данные&quot; для просмотра */
    public const PRODUCT_CATALOG_DETAIL_MAIN_DATA_READ = 405;
    
    /** Пользователю доступна вкладка &quot;Контент&quot; для просмотра */
    public const PRODUCT_CATALOG_DETAIL_CONTENT_READ = 406;
    
    /** Пользователю доступна вкладка &quot;Характеристики&quot; для просмотра */
    public const PRODUCT_CATALOG_DETAIL_FEATURE_READ = 407;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const PRODUCT_CATALOG_DETAIL_ACTIVE_EDIT = 408;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Контент&quot; */
    public const PRODUCT_CATALOG_DETAIL_CONTENT_EDIT = 409;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Характеристики&quot; */
    public const PRODUCT_CATALOG_DETAIL_FEATURE_EDIT = 410;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Основные данные&quot; */
    public const PRODUCT_CATALOG_DETAIL_MAIN_DATA_EDIT = 411;
    
    /** Пользователь может удалять товары */
    public const PRODUCT_CATALOG_PRODUCT_DELETE = 413;
    
    /** Пользователю доступна вкладка &quot;Товарные склейки&quot; для просмотра */
    public const PRODUCT_CATALOG_DETAIL_PRODUCT_GROUPS_READ = 414;
    
    /** Пользователю доступна функция &quot;Изменить атрибуты&quot; в табличном списке товаров */
    public const PRODUCT_CATALOG_MASS_PATCH = 415;
    
    /** Пользователю доступна миграция состояния сущностей, из которых наполняется индекс */
    public const CATALOG_CACHE_ENTITIES_MIGRATION = 418;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const PRODUCT_CATEGORY_LIST_READ = 501;
    
    /** Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра */
    public const PRODUCT_CATEGORY_DETAIL_READ = 502;
    
    /** Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним */
    public const PRODUCT_CATEGORY_DETAIL_WRITE = 503;
    
    /** Пользователь может создавать категории */
    public const PRODUCT_CATEGORY_CREATE = 504;
    
    /** Пользователь может добавлять и редактировать атрибуты категории */
    public const PRODUCT_CATEGORY_DETAIL_ATTRIBUTES_WRITE = 505;
    
    /** Пользователь может редактирование данные о категории (кроме активности) */
    public const PRODUCT_CATEGORY_DETAIL_EDIT = 506;
    
    /** Пользователь может удалять категории */
    public const PRODUCT_CATEGORY_DELETE = 507;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const PRODUCT_CATEGORY_DETAIL_ACTIVE_EDIT = 508;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const PRODUCT_ATTRIBUTES_LIST_READ = 601;
    
    /** Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра */
    public const PRODUCT_ATTRIBUTES_DETAIL_READ = 602;
    
    /** Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине */
    public const PRODUCT_ATTRIBUTES_DETAIL_EDIT = 603;
    
    /** Пользователь может создать новый атрибут товара и сохранить его */
    public const PRODUCT_ATTRIBUTES_CREATE = 604;
    
    /** Пользователь может удалять атрибутов */
    public const PRODUCT_ATTRIBUTES_DELETE = 605;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const PRODUCT_ATTRIBUTES_DETAIL_ACTIVE_EDIT = 606;
    
    /** Пользователю доступно управление чек-боксом &quot;Отображение на витрине&quot; */
    public const PRODUCT_ATTRIBUTES_DETAIL_SHOW_EDIT = 607;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const USER_LIST_READ = 701;
    
    /** Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра */
    public const USER_DETAIL_READ = 702;
    
    /** Пользователю доступно полное редактирование пользователя */
    public const USER_DETAIL_EDIT = 703;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const USER_DETAIL_ACTIVE_EDIT = 704;
    
    /** Пользователю доступно изменение пароля */
    public const USER_DETAIL_PASSWORD_EDIT = 705;
    
    /** Пользователю доступно управление ролями пользователя */
    public const USER_DETAIL_ROLE_EDIT = 706;
    
    /** Пользователю доступно создание пользователя */
    public const USER_CREATE = 707;
    
    /** Пользователю доступен табличный список с фильтрами и поиском */
    public const ROLE_LIST_READ = 801;
    
    /** Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра */
    public const ROLE_DETAIL_READ = 802;
    
    /** Создание ролей */
    public const ROLE_CREATE = 803;
    
    /** Пользователю доступно полное редактирование роли */
    public const ROLE_DETAIL_EDIT = 804;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const ROLE_DETAIL_ACTIVE_EDIT = 805;
    
    /** Пользователю доступно удаление роли */
    public const ROLE_DELETE = 806;
    
    /** Пользователю доступен табличный список с информационными страницами */
    public const PAGE_LIST_READ = 901;
    
    /** Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра */
    public const PAGE_DETAIL_READ = 902;
    
    /** Пользователю доступно редактирование информационной страницы, включая управление активностью */
    public const PAGE_DETAIL_EDIT = 903;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const PAGE_DETAIL_ACTIVE_EDIT = 904;
    
    /** Пользователю доступно создание информационной страницы */
    public const PAGE_CREATE = 905;
    
    /** Пользователю доступно удаление информационной страницы */
    public const PAGE_DELETE = 906;
    
    /** Пользователю доступен табличный список с брендами с фильтрами и поиском */
    public const BRAND_LIST_READ = 1001;
    
    /** Пользователю доступна детальная страница бренда со всеми данными для просмотра */
    public const BRAND_DETAIL_READ = 1002;
    
    /** Пользователю доступно полное редактирование бренда, включая управление активностью */
    public const BRAND_DETAIL_EDIT = 1003;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const BRAND_DETAIL_ACTIVE_EDIT = 1004;
    
    /** Пользователю доступно создание бренда */
    public const BRAND_CREATE = 1005;
    
    /** Пользователю доступно удаление бренда */
    public const BRAND_DELETE = 1006;
    
    /** Пользователю доступен табличный список склеек с фильтрами и поиском */
    public const PRODUCT_GROUP_LIST_READ = 1101;
    
    /** Пользователю доступна детальная страница склейки со всеми данными для просмотра */
    public const PRODUCT_GROUP_DETAIL_READ = 1102;
    
    /** Пользователю доступно редактирование склейки (кроме изменения активности и удаления) */
    public const PRODUCT_GROUP_DETAIL_FIELDS_EDIT = 1103;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const PRODUCT_GROUP_DETAIL_ACTIVE_EDIT = 1104;
    
    /** Пользователю доступно создание склейки */
    public const PRODUCT_GROUP_CREATE = 1105;
    
    /** Пользователю доступно удаление склейки */
    public const PRODUCT_GROUP_DELETE = 1106;
    
    /** Пользователю доступно редактирование всех полей товарной склейки */
    public const PRODUCT_GROUP_DETAIL_FULL_EDIT = 1107;
    
    /** Пользователю доступно удаление персональных данных клиента */
    public const CUSTOMER_DELETE_PERSONAL_DATA = 1201;
    
    /** Пользователю доступен табличный список клиентов с фильтрами и поиском */
    public const CUSTOMER_LIST_READ = 1202;
    
    /** Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра */
    public const CUSTOMER_DETAIL_READ = 1203;
    
    /** Пользователю доступно редактирование данных клиента */
    public const CUSTOMER_DETAIL_EDIT = 1204;
    
    /** Пользователю доступен табличный список со скидками */
    public const DISCOUNT_LIST_READ = 1301;
    
    /** Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей */
    public const DISCOUNT_DETAIL_READ = 1302;
    
    /** Пользователю доступно создание скидки */
    public const DISCOUNT_CREATE = 1303;
    
    /** Пользователю доступно редактирование скидки */
    public const DISCOUNT_DETAIL_EDIT = 1304;
    
    /** Пользователю доступно удаление скидки */
    public const DISCOUNT_DELETE = 1305;
    
    /** Пользователю доступно массовое обновление статусов скидки в табличном списке */
    public const DISCOUNT_MASS_STATUS_UPDATE = 1306;
    
    /** Пользователю доступен табличный список с промокодами */
    public const PROMO_CODE_LIST_READ = 1311;
    
    /** Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей */
    public const PROMO_CODE_DETAIL_READ = 1312;
    
    /** Пользователю доступно создание промокода */
    public const PROMO_CODE_CREATE = 1313;
    
    /** Пользователю доступно редактирование промокода */
    public const PROMO_CODE_DETAIL_EDIT = 1314;
    
    /** Пользователю доступно удаление промокода */
    public const PROMO_CODE_DELETE = 1315;
    
    /** Пользователю доступен табличный список с баннерами с фильтрами и поиском */
    public const BANNER_LIST_READ = 1401;
    
    /** Пользователю доступна детальная страница баннера со всеми данными для просмотра */
    public const BANNER_DETAIL_READ = 1402;
    
    /** Пользователю доступно редактирование баннера */
    public const BANNER_DETAIL_EDIT = 1403;
    
    /** Пользователю доступно создание баннера */
    public const BANNER_CREATE = 1404;
    
    /** Пользователю доступно удаление баннера */
    public const BANNER_DELETE = 1405;
    
    /** Пользователю доступен табличный список с отзывами с фильтрами и поиском */
    public const REVIEW_LIST_READ = 1501;
    
    /** Пользователю доступна детальная страница отзывами со всеми данными для просмотра */
    public const REVIEW_DETAIL_READ = 1502;
    
    /** Пользователю доступно удаление отзывов */
    public const REVIEW_DELETE = 1503;
    
    /** Пользователю доступно изменение статуса отзыва */
    public const REVIEW_DETAIL_EDIT = 1504;
    
    /** Пользователю доступен табличный список тегов с фильтрами и поиском */
    public const NAMEPLATE_LIST_READ = 1601;
    
    /** Пользователю доступна детальная страница товарного тега со всеми данными для просмотра */
    public const NAMEPLATE_DETAIL_READ = 1602;
    
    /** Пользователю доступно редактирование товарного тега */
    public const NAMEPLATE_DETAIL_EDIT = 1603;
    
    /** Пользователю доступно создание товарного тега */
    public const NAMEPLATE_CREATE = 1604;
    
    /** Пользователю доступно удаление товарного тега */
    public const NAMEPLATE_DELETE = 1605;
    
    /** Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском */
    public const SEO_TEMPLATE_LIST_READ = 1701;
    
    /** Пользователю доступна детальная страница SEO-шаблона со всеми данными для просмотра */
    public const SEO_TEMPLATE_DETAIL_READ = 1702;
    
    /** Пользователю доступно редактирование SEO-шаблона */
    public const SEO_TEMPLATE_DETAIL_EDIT = 1703;
    
    /** Пользователю доступно создание SEO-шаблона */
    public const SEO_TEMPLATE_CREATE = 1704;
    
    /** Пользователю доступно удаление SEO-шаблона */
    public const SEO_TEMPLATE_DELETE = 1705;
    
    /** Пользователю доступен импорт товаров */
    public const IMPORT_CREATE = 1801;
    
    /** Пользователю доступен просмотр журнала импорта товаров */
    public const IMPORT_LIST_READ = 1802;
    
    /** Пользователю доступен просмотр журнала ошибок импорта товаров */
    public const IMPORT_WARNING_LIST_READ = 1803;
    
    /** Пользователю доступен табличный список складов с фильтрами и поиском */
    public const STORE_LIST_READ = 1901;
    
    /** Пользователю доступна детальная страница склада со всеми данными для просмотра */
    public const STORE_DETAIL_READ = 1902;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Основные данные&quot; */
    public const STORE_MAIN_DATA_EDIT = 1903;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Время работы&quot; */
    public const STORE_WORKING_EDIT = 1904;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Контакты&quot; */
    public const STORE_CONTACTS_EDIT = 1905;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;График отгрузки&quot; */
    public const STORE_PICKUP_TIME_EDIT = 1906;
    
    /** Пользователю доступно управление чек-боксом &quot;Активность&quot; */
    public const STORE_ACTIVITY_EDIT = 1907;
    
    /** Пользователь может создавать склад */
    public const STORE_CREATE = 1908;
    
    /** Пользователю доступен табличный список с настройками фидов с фильтрами и поиском */
    public const FEED_SETTINGS_LIST_READ = 2001;
    
    /** Пользователю доступна детальная страница настройками фида со всеми данными для просмотра */
    public const FEED_SETTINGS_DETAIL_READ = 2002;
    
    /** Пользователю доступно создание настроек фида */
    public const FEED_SETTINGS_CREATE = 2003;
    
    /** Пользователю доступно редактирование настроек фида */
    public const FEED_SETTINGS_DETAIL_EDIT = 2004;
    
    /** Пользователю доступна миграция состояния сущностей, из которых формируются фиды */
    public const FEED_ENTITIES_MIGRATION = 2005;
    
    /** Пользователю доступен табличный список тарифов с фильтрами и поиском */
    public const DELIVERY_PRICE_LIST_READ = 2101;
    
    /** Пользователю доступна детальная страница тарифа со всеми данными для просмотра */
    public const DELIVERY_PRICE_DETAIL_READ = 2102;
    
    /** Пользователю доступно создание тарифа */
    public const DELIVERY_PRICE_CREATE = 2103;
    
    /** Пользователю доступно редактирование тарифа */
    public const DELIVERY_PRICE_DETAIL_EDIT = 2104;
    
    /** Пользователю доступно удаление тарифа */
    public const DELIVERY_PRICE_DELETE = 2105;
    
    /** Пользователю доступен табличный список продавцов с фильтрами и поиском */
    public const SELLER_LIST_READ = 2201;
    
    /** Пользователю доступна детальная страница продавца со всеми данными для просмотра */
    public const SELLER_DETAIL_READ = 2202;
    
    /** Пользователю доступно создание продавца */
    public const SELLER_CREATE = 2203;
    
    /** Пользователю доступно редактирование продавца */
    public const SELLER_DETAIL_EDIT = 2204;
    
    /** Пользователю доступен табличный список статусов продукта с фильтрами и поиском */
    public const PRODUCT_STATUS_LIST_READ = 2301;
    
    /** Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра */
    public const PRODUCT_STATUS_DETAIL_READ = 2302;
    
    /** Пользователю доступно создание статуса продукта */
    public const PRODUCT_STATUS_CREATE = 2303;
    
    /** Пользователю доступно редактирование статуса продукта */
    public const PRODUCT_STATUS_DETAIL_EDIT = 2304;
    
    /** Пользователю доступно удаление статуса продукта */
    public const PRODUCT_STATUS_DELETE = 2305;
    
    /** Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском */
    public const NOTIFICATION_SETTING_LIST_READ = 2501;
    
    /** Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра */
    public const NOTIFICATION_SETTING_DETAIL_READ = 2502;
    
    /** Пользователю доступно создание настроек уведомлений */
    public const NOTIFICATION_SETTING_CREATE = 2503;
    
    /** Пользователю доступно редактирование настроек уведомлений */
    public const NOTIFICATION_SETTING_DETAIL_EDIT = 2504;
    
    /** Пользователю доступно удаление настроек уведомлений */
    public const NOTIFICATION_SETTING_DELETE = 2505;
    
    /** Пользователю доступно редактирование подключением Cloud */
    public const CLOUD_INTEGRATION_DETAIL_EDIT = 2601;
    
    /** Пользователю доступен просмотр подключения Cloud */
    public const CLOUD_INTEGRATION_READ = 2602;
    
    /** Пользователю доступно изменение активности подключения Cloud */
    public const CLOUD_INTEGRATION_ACTIVITY_EDIT = 2603;
    
    /** Пользователю доступно редактирование параметров доставки */
    public const DELIVERY_OPTIONS_SETTINGS_DETAIL_EDIT = 2701;
    
    /** Пользователю доступен просмотр параметров доставки */
    public const DELIVERY_OPTIONS_SETTINGS_DETAIL_READ = 2702;
    
    /** Пользователю доступен табличный список офферов с фильтрами и поиском */
    public const OFFER_LIST_READ = 2801;
    
    /** Пользователю доступно полное редактирование на вкладке &quot;Основные данные&quot; */
    public const OFFER_DETAIL_MAIN_EDIT = 2802;
    
    /** Пользователю доступно полное редактирование на вкладке &quot;Стоки&quot; */
    public const OFFER_DETAIL_STOCKS_EDIT = 2803;
    
    /** Пользователю доступно управление чекбоксом &quot;Публикация&quot; */
    public const OFFER_DETAIL_ALLOW_PUBLISH_EDIT = 2804;
    
    /** Пользователю доступно управлением полем &quot;Стоимость&quot; */
    public const OFFER_DETAIL_PRICE_EDIT = 2805;
    
    /** Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним */
    public const OFFER_DETAIL_EDIT = 2806;
    
    /** Пользователю доступна детальная страница оффера со всеми данными для просмотра */
    public const OFFER_DETAIL_READ = 2807;
    
    /** Пользователю доступно обновление данных офферов */
    public const OFFER_ENTITIES_SYNC = 2808;
    
    /** Пользователю доступна миграция состояния офферов */
    public const OFFER_MIGRATION = 2809;
    
    /** Пользователю доступен табличный список ПВЗ с фильтрами и поиском */
    public const POINT_LIST_READ = 2901;
    
    /** Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра */
    public const POINT_DETAIL_READ = 2902;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Основные данные&quot; */
    public const POINT_DETAIL_MAIN_DATA_EDIT = 2903;
    
    /** Пользователю доступно полное редактирование во вкладке &quot;Адрес&quot; */
    public const POINT_DETAIL_ADDRESS_EDIT = 2904;
    
    /** Пользователю доступен табличный список пользователей продавца */
    public const SELLER_USER_LIST_READ = 3001;
    
    /** Пользователю доступна детальная страница пользователя продавца */
    public const SELLER_USER_DETAIL_READ = 3002;
    
    /** Пользователю доступно редактирование пользователя продавца */
    public const SELLER_USER_DETAIL_EDIT = 3003;
    
    /** Пользователю доступно создание пользователя продавца */
    public const SELLER_USER_CREATE = 3004;
    
    /** Пользователю доступно изменение активности пользователя продавца */
    public const SELLER_USER_ACTIVITY_EDIT = 3005;
    
    /** Пользователю доступно редактирование пароля пользователя продавца */
    public const SELLER_USER_PASSWORD_EDIT = 3006;
    
    /** Пользователю доступен просмотр технических таблиц */
    public const TECHNICAL_TABLES_READ = 3101;
    
    /** Пользователю доступно редактирование технических таблиц + запуск консольных команд */
    public const TECHNICAL_TABLES_ALL = 3102;
    
    /** Пользователю доступен табличный список служб доставки с фильтрами и поиском */
    public const DELIVERY_SERVICES_TABLES_READ = 3201;
    
    /** Пользователю доступна детальная страница службы доставки со всеми данными для просмотра */
    public const DELIVERY_SERVICES_DETAIL_READ = 3202;
    
    /** Пользователю доступно редактирование службы доставки */
    public const DELIVERY_SERVICES_DETAIL_EDIT = 3203;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ORDER_LIST_READ,
            self::ORDER_DETAIL_READ,
            self::ORDER_DETAIL_MAIN_READ,
            self::ORDER_DETAIL_CLIENT_READ,
            self::ORDER_DETAIL_PRODUCTS_READ,
            self::ORDER_DETAIL_DELIVERY_READ,
            self::ORDER_DETAIL_COMMENTS_READ,
            self::ORDER_DETAIL_ATTACHMENTS_READ,
            self::ORDER_DETAIL_EDIT,
            self::ORDER_DETAIL_COMMENTS_EDIT,
            self::ORDER_DETAIL_PROBLEMATIC_EDIT,
            self::ORDER_DETAIL_DELIVERY_EDIT,
            self::ORDER_DETAIL_DELIVERY_COMMENTS_EDIT,
            self::ORDER_DETAIL_CLIENT_EDIT,
            self::ORDER_DETAIL_ATTACHMENTS_WRITE,
            self::ORDER_DETAIL_ATTACHMENTS_DELETE,
            self::ORDER_DETAIL_STATUS_EDIT,
            self::ORDER_DETAIL_REFUND_CREATE,
            self::ORDER_DETAIL_PRODUCTS_EDIT,
            self::ORDER_DETAIL_SHIPMENT_EDIT,
            self::REFUND_LIST_READ,
            self::REFUND_DETAIL_READ,
            self::REFUND_DETAIL_MAIN_READ,
            self::REFUND_DETAIL_PRODUCTS_READ,
            self::REFUND_DETAIL_ATTACHMENTS_READ,
            self::REFUND_DETAIL_EDIT,
            self::REFUND_DETAIL_RESPONSIBLE_EDIT,
            self::REFUND_DETAIL_ATTACHMENTS_WRITE,
            self::REFUND_DETAIL_ATTACHMENTS_DELETE,
            self::REFUND_DETAIL_REASONS_READ,
            self::REFUND_DETAIL_REASONS_CREATE,
            self::REFUND_DETAIL_REASONS_EDIT,
            self::SETTING_LIST_READ,
            self::SETTING_BASKET_EDIT,
            self::SETTING_PAYMENT_TIME_EDIT,
            self::SETTING_ORDER_CREATE_TIME_EDIT,
            self::SETTING_ORDER_PROCESS_TIME_EDIT,
            self::PRODUCT_CATALOG_LIST_READ,
            self::PRODUCT_CATALOG_DETAIL_READ,
            self::PRODUCT_CATALOG_PRODUCT_CREATE,
            self::PRODUCT_CATALOG_DETAIL_WRITE,
            self::PRODUCT_CATALOG_DETAIL_MAIN_DATA_READ,
            self::PRODUCT_CATALOG_DETAIL_CONTENT_READ,
            self::PRODUCT_CATALOG_DETAIL_FEATURE_READ,
            self::PRODUCT_CATALOG_DETAIL_ACTIVE_EDIT,
            self::PRODUCT_CATALOG_DETAIL_CONTENT_EDIT,
            self::PRODUCT_CATALOG_DETAIL_FEATURE_EDIT,
            self::PRODUCT_CATALOG_DETAIL_MAIN_DATA_EDIT,
            self::PRODUCT_CATALOG_PRODUCT_DELETE,
            self::PRODUCT_CATALOG_DETAIL_PRODUCT_GROUPS_READ,
            self::PRODUCT_CATALOG_MASS_PATCH,
            self::CATALOG_CACHE_ENTITIES_MIGRATION,
            self::PRODUCT_CATEGORY_LIST_READ,
            self::PRODUCT_CATEGORY_DETAIL_READ,
            self::PRODUCT_CATEGORY_DETAIL_WRITE,
            self::PRODUCT_CATEGORY_CREATE,
            self::PRODUCT_CATEGORY_DETAIL_ATTRIBUTES_WRITE,
            self::PRODUCT_CATEGORY_DETAIL_EDIT,
            self::PRODUCT_CATEGORY_DELETE,
            self::PRODUCT_CATEGORY_DETAIL_ACTIVE_EDIT,
            self::PRODUCT_ATTRIBUTES_LIST_READ,
            self::PRODUCT_ATTRIBUTES_DETAIL_READ,
            self::PRODUCT_ATTRIBUTES_DETAIL_EDIT,
            self::PRODUCT_ATTRIBUTES_CREATE,
            self::PRODUCT_ATTRIBUTES_DELETE,
            self::PRODUCT_ATTRIBUTES_DETAIL_ACTIVE_EDIT,
            self::PRODUCT_ATTRIBUTES_DETAIL_SHOW_EDIT,
            self::USER_LIST_READ,
            self::USER_DETAIL_READ,
            self::USER_DETAIL_EDIT,
            self::USER_DETAIL_ACTIVE_EDIT,
            self::USER_DETAIL_PASSWORD_EDIT,
            self::USER_DETAIL_ROLE_EDIT,
            self::USER_CREATE,
            self::ROLE_LIST_READ,
            self::ROLE_DETAIL_READ,
            self::ROLE_CREATE,
            self::ROLE_DETAIL_EDIT,
            self::ROLE_DETAIL_ACTIVE_EDIT,
            self::ROLE_DELETE,
            self::PAGE_LIST_READ,
            self::PAGE_DETAIL_READ,
            self::PAGE_DETAIL_EDIT,
            self::PAGE_DETAIL_ACTIVE_EDIT,
            self::PAGE_CREATE,
            self::PAGE_DELETE,
            self::BRAND_LIST_READ,
            self::BRAND_DETAIL_READ,
            self::BRAND_DETAIL_EDIT,
            self::BRAND_DETAIL_ACTIVE_EDIT,
            self::BRAND_CREATE,
            self::BRAND_DELETE,
            self::PRODUCT_GROUP_LIST_READ,
            self::PRODUCT_GROUP_DETAIL_READ,
            self::PRODUCT_GROUP_DETAIL_FIELDS_EDIT,
            self::PRODUCT_GROUP_DETAIL_ACTIVE_EDIT,
            self::PRODUCT_GROUP_CREATE,
            self::PRODUCT_GROUP_DELETE,
            self::PRODUCT_GROUP_DETAIL_FULL_EDIT,
            self::CUSTOMER_DELETE_PERSONAL_DATA,
            self::CUSTOMER_LIST_READ,
            self::CUSTOMER_DETAIL_READ,
            self::CUSTOMER_DETAIL_EDIT,
            self::DISCOUNT_LIST_READ,
            self::DISCOUNT_DETAIL_READ,
            self::DISCOUNT_CREATE,
            self::DISCOUNT_DETAIL_EDIT,
            self::DISCOUNT_DELETE,
            self::DISCOUNT_MASS_STATUS_UPDATE,
            self::PROMO_CODE_LIST_READ,
            self::PROMO_CODE_DETAIL_READ,
            self::PROMO_CODE_CREATE,
            self::PROMO_CODE_DETAIL_EDIT,
            self::PROMO_CODE_DELETE,
            self::BANNER_LIST_READ,
            self::BANNER_DETAIL_READ,
            self::BANNER_DETAIL_EDIT,
            self::BANNER_CREATE,
            self::BANNER_DELETE,
            self::REVIEW_LIST_READ,
            self::REVIEW_DETAIL_READ,
            self::REVIEW_DELETE,
            self::REVIEW_DETAIL_EDIT,
            self::NAMEPLATE_LIST_READ,
            self::NAMEPLATE_DETAIL_READ,
            self::NAMEPLATE_DETAIL_EDIT,
            self::NAMEPLATE_CREATE,
            self::NAMEPLATE_DELETE,
            self::SEO_TEMPLATE_LIST_READ,
            self::SEO_TEMPLATE_DETAIL_READ,
            self::SEO_TEMPLATE_DETAIL_EDIT,
            self::SEO_TEMPLATE_CREATE,
            self::SEO_TEMPLATE_DELETE,
            self::IMPORT_CREATE,
            self::IMPORT_LIST_READ,
            self::IMPORT_WARNING_LIST_READ,
            self::STORE_LIST_READ,
            self::STORE_DETAIL_READ,
            self::STORE_MAIN_DATA_EDIT,
            self::STORE_WORKING_EDIT,
            self::STORE_CONTACTS_EDIT,
            self::STORE_PICKUP_TIME_EDIT,
            self::STORE_ACTIVITY_EDIT,
            self::STORE_CREATE,
            self::FEED_SETTINGS_LIST_READ,
            self::FEED_SETTINGS_DETAIL_READ,
            self::FEED_SETTINGS_CREATE,
            self::FEED_SETTINGS_DETAIL_EDIT,
            self::FEED_ENTITIES_MIGRATION,
            self::DELIVERY_PRICE_LIST_READ,
            self::DELIVERY_PRICE_DETAIL_READ,
            self::DELIVERY_PRICE_CREATE,
            self::DELIVERY_PRICE_DETAIL_EDIT,
            self::DELIVERY_PRICE_DELETE,
            self::SELLER_LIST_READ,
            self::SELLER_DETAIL_READ,
            self::SELLER_CREATE,
            self::SELLER_DETAIL_EDIT,
            self::PRODUCT_STATUS_LIST_READ,
            self::PRODUCT_STATUS_DETAIL_READ,
            self::PRODUCT_STATUS_CREATE,
            self::PRODUCT_STATUS_DETAIL_EDIT,
            self::PRODUCT_STATUS_DELETE,
            self::NOTIFICATION_SETTING_LIST_READ,
            self::NOTIFICATION_SETTING_DETAIL_READ,
            self::NOTIFICATION_SETTING_CREATE,
            self::NOTIFICATION_SETTING_DETAIL_EDIT,
            self::NOTIFICATION_SETTING_DELETE,
            self::CLOUD_INTEGRATION_DETAIL_EDIT,
            self::CLOUD_INTEGRATION_READ,
            self::CLOUD_INTEGRATION_ACTIVITY_EDIT,
            self::DELIVERY_OPTIONS_SETTINGS_DETAIL_EDIT,
            self::DELIVERY_OPTIONS_SETTINGS_DETAIL_READ,
            self::OFFER_LIST_READ,
            self::OFFER_DETAIL_MAIN_EDIT,
            self::OFFER_DETAIL_STOCKS_EDIT,
            self::OFFER_DETAIL_ALLOW_PUBLISH_EDIT,
            self::OFFER_DETAIL_PRICE_EDIT,
            self::OFFER_DETAIL_EDIT,
            self::OFFER_DETAIL_READ,
            self::OFFER_ENTITIES_SYNC,
            self::OFFER_MIGRATION,
            self::POINT_LIST_READ,
            self::POINT_DETAIL_READ,
            self::POINT_DETAIL_MAIN_DATA_EDIT,
            self::POINT_DETAIL_ADDRESS_EDIT,
            self::SELLER_USER_LIST_READ,
            self::SELLER_USER_DETAIL_READ,
            self::SELLER_USER_DETAIL_EDIT,
            self::SELLER_USER_CREATE,
            self::SELLER_USER_ACTIVITY_EDIT,
            self::SELLER_USER_PASSWORD_EDIT,
            self::TECHNICAL_TABLES_READ,
            self::TECHNICAL_TABLES_ALL,
            self::DELIVERY_SERVICES_TABLES_READ,
            self::DELIVERY_SERVICES_DETAIL_READ,
            self::DELIVERY_SERVICES_DETAIL_EDIT,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ORDER_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::ORDER_DETAIL_READ => 'Пользователю доступна детальная страница заказа со всеми со всеми вкладками и данными для просмотра',
            self::ORDER_DETAIL_MAIN_READ => 'Пользователю доступна вкладка "Главное" для просмотра',
            self::ORDER_DETAIL_CLIENT_READ => 'Пользователю доступна вкладка "Клиент" для просмотра',
            self::ORDER_DETAIL_PRODUCTS_READ => 'Пользователю доступна вкладка "Товары" для просмотра',
            self::ORDER_DETAIL_DELIVERY_READ => 'Пользователю доступна вкладка "Доставка" для просмотра',
            self::ORDER_DETAIL_COMMENTS_READ => 'Пользователю доступна вкладка "Комментарии" для просмотра',
            self::ORDER_DETAIL_ATTACHMENTS_READ => 'Пользователю доступна вкладка "Вложения" для просмотра',
            self::ORDER_DETAIL_EDIT => 'Пользователю доступно только редактирование данных заказа (без действий)',
            self::ORDER_DETAIL_COMMENTS_EDIT => 'Пользователю доступна функция редактирование комментариев во вкладке "Комментарии" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_PROBLEMATIC_EDIT => 'Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке "Комментариии" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_DELIVERY_EDIT => 'Пользователю доступна функция редактирования способа доставки во вкладке "Доставка" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_DELIVERY_COMMENTS_EDIT => 'Пользователю доступна функция редактирования комментария во вкладке "Доставка" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_CLIENT_EDIT => 'Пользователю доступна функция редактирования полей клиента во вкладке "Клиент" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_ATTACHMENTS_WRITE => 'Пользователю доступна функция загрузка вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_ATTACHMENTS_DELETE => 'Пользователю доступна функция удаления вложений во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"',
            self::ORDER_DETAIL_STATUS_EDIT => 'Пользователю доступно изменение статуса заказа на детальной странице + кнопка "Действия"',
            self::ORDER_DETAIL_REFUND_CREATE => 'Пользователю доступно создание заявки на возврат + кнопка "Действия"',
            self::ORDER_DETAIL_PRODUCTS_EDIT => 'Пользователю доступно редактирование списка товаров в заказе',
            self::ORDER_DETAIL_SHIPMENT_EDIT => 'Пользователю доступно изменение статуса отгрузки на детальной странице заказ',
            self::REFUND_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::REFUND_DETAIL_READ => 'Пользователю доступная детальна страница возврата',
            self::REFUND_DETAIL_MAIN_READ => 'Пользователю доступна вкладка "Главное" для просмотра',
            self::REFUND_DETAIL_PRODUCTS_READ => 'Пользователю доступна вкладка "Товары" для просмотра',
            self::REFUND_DETAIL_ATTACHMENTS_READ => 'Пользователю доступна вкладка "Вложения" для просмотра',
            self::REFUND_DETAIL_EDIT => 'Пользователю доступно только редактирование данных возврата (без действий)',
            self::REFUND_DETAIL_RESPONSIBLE_EDIT => 'Пользователю доступна функция изменение ответственного за возврат во вкладке "Главное" + кнопки "Сохранить"/"Отменить"',
            self::REFUND_DETAIL_ATTACHMENTS_WRITE => 'Пользователю доступна функция загрузка вложений  во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"',
            self::REFUND_DETAIL_ATTACHMENTS_DELETE => 'Пользователю доступна функция удаления вложений  во вкладке "Вложения" + кнопки "Сохранить"/"Отменить"',
            self::REFUND_DETAIL_REASONS_READ => 'Пользователю доступен табличный список с причинами возврата по кнопке "Настройка причин возврата"',
            self::REFUND_DETAIL_REASONS_CREATE => 'Пользователю доступно создание причин возврата + кнопка "Добавить причину"',
            self::REFUND_DETAIL_REASONS_EDIT => 'Пользователю доступно редактирование причин возврата + кнопка "Изменить причину"',
            self::SETTING_LIST_READ => 'Пользователю доступна для просмотра страница настроек',
            self::SETTING_BASKET_EDIT => 'Параметры корзины. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"',
            self::SETTING_PAYMENT_TIME_EDIT => 'Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"',
            self::SETTING_ORDER_CREATE_TIME_EDIT => 'Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"',
            self::SETTING_ORDER_PROCESS_TIME_EDIT => 'Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка "Изменить параметр"',
            self::PRODUCT_CATALOG_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::PRODUCT_CATALOG_DETAIL_READ => 'Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра',
            self::PRODUCT_CATALOG_PRODUCT_CREATE => 'Пользователь может создавать товар',
            self::PRODUCT_CATALOG_DETAIL_WRITE => 'Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним',
            self::PRODUCT_CATALOG_DETAIL_MAIN_DATA_READ => 'Пользователю доступна вкладка "Основные данные" для просмотра',
            self::PRODUCT_CATALOG_DETAIL_CONTENT_READ => 'Пользователю доступна вкладка "Контент" для просмотра',
            self::PRODUCT_CATALOG_DETAIL_FEATURE_READ => 'Пользователю доступна вкладка "Характеристики" для просмотра',
            self::PRODUCT_CATALOG_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::PRODUCT_CATALOG_DETAIL_CONTENT_EDIT => 'Пользователю доступно полное редактирование во вкладке "Контент"',
            self::PRODUCT_CATALOG_DETAIL_FEATURE_EDIT => 'Пользователю доступно полное редактирование во вкладке "Характеристики"',
            self::PRODUCT_CATALOG_DETAIL_MAIN_DATA_EDIT => 'Пользователю доступно полное редактирование во вкладке "Основные данные"',
            self::PRODUCT_CATALOG_PRODUCT_DELETE => 'Пользователь может удалять товары',
            self::PRODUCT_CATALOG_DETAIL_PRODUCT_GROUPS_READ => 'Пользователю доступна вкладка "Товарные склейки" для просмотра',
            self::PRODUCT_CATALOG_MASS_PATCH => 'Пользователю доступна функция "Изменить атрибуты" в табличном списке товаров',
            self::CATALOG_CACHE_ENTITIES_MIGRATION => 'Пользователю доступна миграция состояния сущностей, из которых наполняется индекс',
            self::PRODUCT_CATEGORY_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::PRODUCT_CATEGORY_DETAIL_READ => 'Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра',
            self::PRODUCT_CATEGORY_DETAIL_WRITE => 'Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним',
            self::PRODUCT_CATEGORY_CREATE => 'Пользователь может создавать категории',
            self::PRODUCT_CATEGORY_DETAIL_ATTRIBUTES_WRITE => 'Пользователь может добавлять и редактировать атрибуты категории',
            self::PRODUCT_CATEGORY_DETAIL_EDIT => 'Пользователь может редактирование данные о категории (кроме активности)',
            self::PRODUCT_CATEGORY_DELETE => 'Пользователь может удалять категории',
            self::PRODUCT_CATEGORY_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::PRODUCT_ATTRIBUTES_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::PRODUCT_ATTRIBUTES_DETAIL_READ => 'Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра',
            self::PRODUCT_ATTRIBUTES_DETAIL_EDIT => 'Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине',
            self::PRODUCT_ATTRIBUTES_CREATE => 'Пользователь может создать новый атрибут товара и сохранить его',
            self::PRODUCT_ATTRIBUTES_DELETE => 'Пользователь может удалять атрибутов',
            self::PRODUCT_ATTRIBUTES_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::PRODUCT_ATTRIBUTES_DETAIL_SHOW_EDIT => 'Пользователю доступно управление чек-боксом "Отображение на витрине"',
            self::USER_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::USER_DETAIL_READ => 'Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра',
            self::USER_DETAIL_EDIT => 'Пользователю доступно полное редактирование пользователя',
            self::USER_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::USER_DETAIL_PASSWORD_EDIT => 'Пользователю доступно изменение пароля',
            self::USER_DETAIL_ROLE_EDIT => 'Пользователю доступно управление ролями пользователя',
            self::USER_CREATE => 'Пользователю доступно создание пользователя',
            self::ROLE_LIST_READ => 'Пользователю доступен табличный список с фильтрами и поиском',
            self::ROLE_DETAIL_READ => 'Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра',
            self::ROLE_CREATE => 'Создание ролей',
            self::ROLE_DETAIL_EDIT => 'Пользователю доступно полное редактирование роли',
            self::ROLE_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::ROLE_DELETE => 'Пользователю доступно удаление роли',
            self::PAGE_LIST_READ => 'Пользователю доступен табличный список с информационными страницами',
            self::PAGE_DETAIL_READ => 'Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра',
            self::PAGE_DETAIL_EDIT => 'Пользователю доступно редактирование информационной страницы, включая управление активностью',
            self::PAGE_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::PAGE_CREATE => 'Пользователю доступно создание информационной страницы',
            self::PAGE_DELETE => 'Пользователю доступно удаление информационной страницы',
            self::BRAND_LIST_READ => 'Пользователю доступен табличный список с брендами с фильтрами и поиском',
            self::BRAND_DETAIL_READ => 'Пользователю доступна детальная страница бренда со всеми данными для просмотра',
            self::BRAND_DETAIL_EDIT => 'Пользователю доступно полное редактирование бренда, включая управление активностью',
            self::BRAND_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::BRAND_CREATE => 'Пользователю доступно создание бренда',
            self::BRAND_DELETE => 'Пользователю доступно удаление бренда',
            self::PRODUCT_GROUP_LIST_READ => 'Пользователю доступен табличный список склеек с фильтрами и поиском',
            self::PRODUCT_GROUP_DETAIL_READ => 'Пользователю доступна детальная страница склейки со всеми данными для просмотра',
            self::PRODUCT_GROUP_DETAIL_FIELDS_EDIT => 'Пользователю доступно редактирование склейки (кроме изменения активности и удаления)',
            self::PRODUCT_GROUP_DETAIL_ACTIVE_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::PRODUCT_GROUP_CREATE => 'Пользователю доступно создание склейки',
            self::PRODUCT_GROUP_DELETE => 'Пользователю доступно удаление склейки',
            self::PRODUCT_GROUP_DETAIL_FULL_EDIT => 'Пользователю доступно редактирование всех полей товарной склейки',
            self::CUSTOMER_DELETE_PERSONAL_DATA => 'Пользователю доступно удаление персональных данных клиента',
            self::CUSTOMER_LIST_READ => 'Пользователю доступен табличный список клиентов с фильтрами и поиском',
            self::CUSTOMER_DETAIL_READ => 'Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра',
            self::CUSTOMER_DETAIL_EDIT => 'Пользователю доступно редактирование данных клиента',
            self::DISCOUNT_LIST_READ => 'Пользователю доступен табличный список со скидками',
            self::DISCOUNT_DETAIL_READ => 'Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей',
            self::DISCOUNT_CREATE => 'Пользователю доступно создание скидки',
            self::DISCOUNT_DETAIL_EDIT => 'Пользователю доступно редактирование скидки',
            self::DISCOUNT_DELETE => 'Пользователю доступно удаление скидки',
            self::DISCOUNT_MASS_STATUS_UPDATE => 'Пользователю доступно массовое обновление статусов скидки в табличном списке',
            self::PROMO_CODE_LIST_READ => 'Пользователю доступен табличный список с промокодами',
            self::PROMO_CODE_DETAIL_READ => 'Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей',
            self::PROMO_CODE_CREATE => 'Пользователю доступно создание промокода',
            self::PROMO_CODE_DETAIL_EDIT => 'Пользователю доступно редактирование промокода',
            self::PROMO_CODE_DELETE => 'Пользователю доступно удаление промокода',
            self::BANNER_LIST_READ => 'Пользователю доступен табличный список с баннерами с фильтрами и поиском',
            self::BANNER_DETAIL_READ => 'Пользователю доступна детальная страница баннера со всеми данными для просмотра',
            self::BANNER_DETAIL_EDIT => 'Пользователю доступно редактирование баннера',
            self::BANNER_CREATE => 'Пользователю доступно создание баннера',
            self::BANNER_DELETE => 'Пользователю доступно удаление баннера',
            self::REVIEW_LIST_READ => 'Пользователю доступен табличный список с отзывами с фильтрами и поиском',
            self::REVIEW_DETAIL_READ => 'Пользователю доступна детальная страница отзывами со всеми данными для просмотра',
            self::REVIEW_DELETE => 'Пользователю доступно удаление отзывов',
            self::REVIEW_DETAIL_EDIT => 'Пользователю доступно изменение статуса отзыва',
            self::NAMEPLATE_LIST_READ => 'Пользователю доступен табличный список тегов с фильтрами и поиском',
            self::NAMEPLATE_DETAIL_READ => 'Пользователю доступна детальная страница товарного тега со всеми данными для просмотра',
            self::NAMEPLATE_DETAIL_EDIT => 'Пользователю доступно редактирование товарного тега',
            self::NAMEPLATE_CREATE => 'Пользователю доступно создание товарного тега',
            self::NAMEPLATE_DELETE => 'Пользователю доступно удаление товарного тега',
            self::SEO_TEMPLATE_LIST_READ => 'Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском',
            self::SEO_TEMPLATE_DETAIL_READ => 'Пользователю доступна детальная страница SEO-шаблона со всеми данными для просмотра',
            self::SEO_TEMPLATE_DETAIL_EDIT => 'Пользователю доступно редактирование SEO-шаблона',
            self::SEO_TEMPLATE_CREATE => 'Пользователю доступно создание SEO-шаблона',
            self::SEO_TEMPLATE_DELETE => 'Пользователю доступно удаление SEO-шаблона',
            self::IMPORT_CREATE => 'Пользователю доступен импорт товаров',
            self::IMPORT_LIST_READ => 'Пользователю доступен просмотр журнала импорта товаров',
            self::IMPORT_WARNING_LIST_READ => 'Пользователю доступен просмотр журнала ошибок импорта товаров',
            self::STORE_LIST_READ => 'Пользователю доступен табличный список складов с фильтрами и поиском',
            self::STORE_DETAIL_READ => 'Пользователю доступна детальная страница склада со всеми данными для просмотра',
            self::STORE_MAIN_DATA_EDIT => 'Пользователю доступно полное редактирование во вкладке "Основные данные"',
            self::STORE_WORKING_EDIT => 'Пользователю доступно полное редактирование во вкладке "Время работы"',
            self::STORE_CONTACTS_EDIT => 'Пользователю доступно полное редактирование во вкладке "Контакты"',
            self::STORE_PICKUP_TIME_EDIT => 'Пользователю доступно полное редактирование во вкладке "График отгрузки"',
            self::STORE_ACTIVITY_EDIT => 'Пользователю доступно управление чек-боксом "Активность"',
            self::STORE_CREATE => 'Пользователь может создавать склад',
            self::FEED_SETTINGS_LIST_READ => 'Пользователю доступен табличный список с настройками фидов с фильтрами и поиском',
            self::FEED_SETTINGS_DETAIL_READ => 'Пользователю доступна детальная страница настройками фида со всеми данными для просмотра',
            self::FEED_SETTINGS_CREATE => 'Пользователю доступно создание настроек фида',
            self::FEED_SETTINGS_DETAIL_EDIT => 'Пользователю доступно редактирование настроек фида',
            self::FEED_ENTITIES_MIGRATION => 'Пользователю доступна миграция состояния сущностей, из которых формируются фиды',
            self::DELIVERY_PRICE_LIST_READ => 'Пользователю доступен табличный список тарифов с фильтрами и поиском',
            self::DELIVERY_PRICE_DETAIL_READ => 'Пользователю доступна детальная страница тарифа со всеми данными для просмотра',
            self::DELIVERY_PRICE_CREATE => 'Пользователю доступно создание тарифа',
            self::DELIVERY_PRICE_DETAIL_EDIT => 'Пользователю доступно редактирование тарифа',
            self::DELIVERY_PRICE_DELETE => 'Пользователю доступно удаление тарифа',
            self::SELLER_LIST_READ => 'Пользователю доступен табличный список продавцов с фильтрами и поиском',
            self::SELLER_DETAIL_READ => 'Пользователю доступна детальная страница продавца со всеми данными для просмотра',
            self::SELLER_CREATE => 'Пользователю доступно создание продавца',
            self::SELLER_DETAIL_EDIT => 'Пользователю доступно редактирование продавца',
            self::PRODUCT_STATUS_LIST_READ => 'Пользователю доступен табличный список статусов продукта с фильтрами и поиском',
            self::PRODUCT_STATUS_DETAIL_READ => 'Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра',
            self::PRODUCT_STATUS_CREATE => 'Пользователю доступно создание статуса продукта',
            self::PRODUCT_STATUS_DETAIL_EDIT => 'Пользователю доступно редактирование статуса продукта',
            self::PRODUCT_STATUS_DELETE => 'Пользователю доступно удаление статуса продукта',
            self::NOTIFICATION_SETTING_LIST_READ => 'Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском',
            self::NOTIFICATION_SETTING_DETAIL_READ => 'Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра',
            self::NOTIFICATION_SETTING_CREATE => 'Пользователю доступно создание настроек уведомлений',
            self::NOTIFICATION_SETTING_DETAIL_EDIT => 'Пользователю доступно редактирование настроек уведомлений',
            self::NOTIFICATION_SETTING_DELETE => 'Пользователю доступно удаление настроек уведомлений',
            self::CLOUD_INTEGRATION_DETAIL_EDIT => 'Пользователю доступно редактирование подключением Cloud',
            self::CLOUD_INTEGRATION_READ => 'Пользователю доступен просмотр подключения Cloud',
            self::CLOUD_INTEGRATION_ACTIVITY_EDIT => 'Пользователю доступно изменение активности подключения Cloud',
            self::DELIVERY_OPTIONS_SETTINGS_DETAIL_EDIT => 'Пользователю доступно редактирование параметров доставки',
            self::DELIVERY_OPTIONS_SETTINGS_DETAIL_READ => 'Пользователю доступен просмотр параметров доставки',
            self::OFFER_LIST_READ => 'Пользователю доступен табличный список офферов с фильтрами и поиском',
            self::OFFER_DETAIL_MAIN_EDIT => 'Пользователю доступно полное редактирование на вкладке "Основные данные"',
            self::OFFER_DETAIL_STOCKS_EDIT => 'Пользователю доступно полное редактирование на вкладке "Стоки"',
            self::OFFER_DETAIL_ALLOW_PUBLISH_EDIT => 'Пользователю доступно управление чекбоксом "Публикация"',
            self::OFFER_DETAIL_PRICE_EDIT => 'Пользователю доступно управлением полем "Стоимость"',
            self::OFFER_DETAIL_EDIT => 'Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним',
            self::OFFER_DETAIL_READ => 'Пользователю доступна детальная страница оффера со всеми данными для просмотра',
            self::OFFER_ENTITIES_SYNC => 'Пользователю доступно обновление данных офферов',
            self::OFFER_MIGRATION => 'Пользователю доступна миграция состояния офферов',
            self::POINT_LIST_READ => 'Пользователю доступен табличный список ПВЗ с фильтрами и поиском',
            self::POINT_DETAIL_READ => 'Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра',
            self::POINT_DETAIL_MAIN_DATA_EDIT => 'Пользователю доступно полное редактирование во вкладке "Основные данные"',
            self::POINT_DETAIL_ADDRESS_EDIT => 'Пользователю доступно полное редактирование во вкладке "Адрес"',
            self::SELLER_USER_LIST_READ => 'Пользователю доступен табличный список пользователей продавца',
            self::SELLER_USER_DETAIL_READ => 'Пользователю доступна детальная страница пользователя продавца',
            self::SELLER_USER_DETAIL_EDIT => 'Пользователю доступно редактирование пользователя продавца',
            self::SELLER_USER_CREATE => 'Пользователю доступно создание пользователя продавца',
            self::SELLER_USER_ACTIVITY_EDIT => 'Пользователю доступно изменение активности пользователя продавца',
            self::SELLER_USER_PASSWORD_EDIT => 'Пользователю доступно редактирование пароля пользователя продавца',
            self::TECHNICAL_TABLES_READ => 'Пользователю доступен просмотр технических таблиц',
            self::TECHNICAL_TABLES_ALL => 'Пользователю доступно редактирование технических таблиц + запуск консольных команд',
            self::DELIVERY_SERVICES_TABLES_READ => 'Пользователю доступен табличный список служб доставки с фильтрами и поиском',
            self::DELIVERY_SERVICES_DETAIL_READ => 'Пользователю доступна детальная страница службы доставки со всеми данными для просмотра',
            self::DELIVERY_SERVICES_DETAIL_EDIT => 'Пользователю доступно редактирование службы доставки',
        ];
    }
}


